
description = 'renkan-management'

ext {
    spring_shell_version = '1.0.0.RELEASE'
}

dependencies {
  compile project(':renkan-core')
    compile group: 'org.springframework.shell', name: 'spring-shell', version:spring_shell_version
    runtime group: 'org.springframework', name: 'spring-webmvc', version:spring_version
    runtime group: 'javax.servlet', name: 'javax.servlet-api', version:javax_servlet_version
}

buildscript {
  repositories { jcenter() }
  dependencies {
    classpath 'com.github.jengelman.gradle.plugins:shadow:1.0.2'
  }
}

apply plugin: 'com.github.johnrengelman.shadow'

jar {
  manifest {
    attributes 'Main-Class': 'org.springframework.shell.Bootstrap'
  }
}

shadowJar {
  exclude 'META-INF/*.SF'
  exclude 'META-INF/*.DSA'
  exclude 'META-INF/*.RSA'

  append('META-INF/spring.handlers')
  append('META-INF/spring.schemas')

}

configure(shadowJar) {
  group = BasePlugin.BUILD_GROUP
}
